package com.community.huiju.dao;

import com.community.huiju.model.TpCarouselSetting;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TpCarouselSettingMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpCarouselSetting record);

    int insertSelective(TpCarouselSetting record);

    TpCarouselSetting selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpCarouselSetting record);

    int updateByPrimaryKey(TpCarouselSetting record);

     Integer getcarouselNum(@Param("lease") String lease, @Param("communityId") Integer communityId);

    Integer selectCarouselNum(@Param("carouselType") String carouselType, @Param("communityId") Integer communityId);

}